<template>
    <div>
        <h3>{{post.title}}</h3>
        <p>{{post.username}}</p>
        <p>{{post.date}}</p>
        <p>{{post.text}}</p>
        <div v-if="post.comments.length > 0">
            <ul>
                <li v-for="comment of post.comments" :key="comment._id">
                    <p>{{comment.nickname}}</p>
                    <p>{{comment.content}}</p>
                </li>
            </ul>
        </div>
        <div v-else>There are no comments in this post, be the first!</div>
    </div>
</template>

<script>
import {mapState} from 'vuex'
export default {
    name: 'PostDetail',
    async mounted () {
        const id = this.$route.params.id
        await this.$store.dispatch('getPostById', id)
    },computed:{
        ...mapState(['post'])
    }
}
</script>